Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058403 - javapackages-tools: regression in %pom_xpath_remove
Summary: javapackages-tools: regression in %pom_xpath_remove
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 17:49 UTC by Mikolaj Izdebski
Modified: 2014-07-16 12:38 UTC (History)
5 users (show)

Fixed In Version: 4.1.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-16 12:38:28 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-01-27 17:49:54 UTC
Download http://git.eclipse.org/c/jetty/org.eclipse.jetty.project.git/snapshot/jetty-8.1.14.v20131031.tar.bz2 and take the main pom.xml

run %pom_xpath_remove "pom:modules/node()"

+ python /usr/share/java-utils/pom_editor.py pom_xpath_remove 'pom:modules/node()'
Traceback (most recent call last):
  File "/usr/share/java-utils/pom_editor.py", line 356, in <module>
     macros[sys.argv[1]](*sys.argv[2:])
  File "/usr/share/java-utils/pom_editor.py", line 98, in decorated
     function(*fnargs)
  File "/usr/share/java-utils/pom_editor.py", line 258, in pom_xpath_remove
     pom.replace_xml(element, "<!-- element removed by maintainer -->")
  File "/usr/share/java-utils/pom_editor.py", line 145, in replace_xml
     idx = parent.index(replaced)
TypeError :  Argument 'child' has incorrect type (expected lxml.etree._Element, got _ElementStringResult) 

The same call works with pom_editor.sh.

Version:
javapackages-tools-3.6.0-0.2.gitd370124.noarch

Comment 1 Michael Simacek 2014-01-29 09:59:56 UTC
Should be fixed in upstream commit 5eb4ce0

Comment 2 Mikolaj Izdebski 2014-02-03 14:30:34 UTC
Verified upstream.

Comment 3 Fedora Admin XMLRPC Client 2014-04-24 12:47:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Mikolaj Izdebski 2014-07-16 12:38:28 UTC
I believe that this bug is fixed in javapackages-tools-4.1.0-2,
which is available in Fedora 21, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=543061


Note You need to log in before you can comment on or make changes to this bug.